Tasks

get

Retrieves multiple tasks.

Query parameters
agentIdsany ofOptionalDefault: []
string · uuid[]Optional

A UUID v4 string that identifies an entity.

or
string · uuidOptional

A UUID v4 string that identifies an entity.

pageNumbernumber · min: 1Optional

The page number.

Default: 1
pageSizenumber · min: 1 · max: 100Optional

The page size.

Default: 10
versionIdsany ofOptionalDefault: []
string · uuid[]Optional

A UUID v4 string that identifies an entity.

or
string · uuidOptional

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Responses
200

Retrieves all tasks for the workspace.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

isRemovedbooleanRequired
referenceIdstring · uuid · nullableRequired

The ID of the original entity in production.

updatedAtstring · date-timeRequired
versionIdstring · uuidRequired

A UUID v4 string that identifies an entity.

agentIdstring · uuidRequired

The agent ID associated with the task.

conditionstring · min: 3 · max: 250Required

The condition that must be met for the task to be executed.

namestring · min: 3 · max: 50Required

The display name of the task.

promptstring · min: 3 · max: 2000Required

What will be set as the main object of the agent when the task is selected.

statusstring · enumRequired

The lifecycle status of the task.

Possible values:
get
/api/v1/tasks
post

Creates a new task.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Body
agentIdstring · uuidRequired

The agent ID associated with the task.

conditionstring · min: 3 · max: 250Required

The condition that must be met for the task to be executed.

namestring · min: 3 · max: 50Required

The display name of the task.

promptstring · min: 3 · max: 2000Required

What will be set as the main object of the agent when the task is selected.

statusstring · enumRequired

The lifecycle status of the task.

Possible values:
Responses
200

The task was created.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

isRemovedbooleanRequired
referenceIdstring · uuid · nullableRequired

The ID of the original entity in production.

updatedAtstring · date-timeRequired
versionIdstring · uuidRequired

A UUID v4 string that identifies an entity.

agentIdstring · uuidRequired

The agent ID associated with the task.

conditionstring · min: 3 · max: 250Required

The condition that must be met for the task to be executed.

namestring · min: 3 · max: 50Required

The display name of the task.

promptstring · min: 3 · max: 2000Required

What will be set as the main object of the agent when the task is selected.

statusstring · enumRequired

The lifecycle status of the task.

Possible values:
post
/api/v1/tasks
get

Retrieves a task.

Path parameters
idstring · uuidRequired

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Responses
200

Retrieves a task.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

isRemovedbooleanRequired
referenceIdstring · uuid · nullableRequired

The ID of the original entity in production.

updatedAtstring · date-timeRequired
versionIdstring · uuidRequired

A UUID v4 string that identifies an entity.

agentIdstring · uuidRequired

The agent ID associated with the task.

conditionstring · min: 3 · max: 250Required

The condition that must be met for the task to be executed.

namestring · min: 3 · max: 50Required

The display name of the task.

promptstring · min: 3 · max: 2000Required

What will be set as the main object of the agent when the task is selected.

statusstring · enumRequired

The lifecycle status of the task.

Possible values:
get
/api/v1/tasks/{id}
delete

Removes a task.

Path parameters
idstring · uuidRequired

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Responses
200

The task was removed.

application/json
messagestringRequired

An informative message for a call that has no effective result to be returned.

delete
/api/v1/tasks/{id}
patch

Updates a task.

Path parameters
idstring · uuidRequired

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Body
conditionstring · min: 3 · max: 250Optional

The condition that must be met for the task to be executed.

namestring · min: 3 · max: 50Optional

The display name of the task.

promptstring · min: 3 · max: 2000Optional

What will be set as the main object of the agent when the task is selected.

statusstring · enumOptional

The lifecycle status of the task.

Possible values:
Responses
200

The task was updated.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

isRemovedbooleanRequired
referenceIdstring · uuid · nullableRequired

The ID of the original entity in production.

updatedAtstring · date-timeRequired
versionIdstring · uuidRequired

A UUID v4 string that identifies an entity.

agentIdstring · uuidRequired

The agent ID associated with the task.

conditionstring · min: 3 · max: 250Required

The condition that must be met for the task to be executed.

namestring · min: 3 · max: 50Required

The display name of the task.

promptstring · min: 3 · max: 2000Required

What will be set as the main object of the agent when the task is selected.

statusstring · enumRequired

The lifecycle status of the task.

Possible values:
patch
/api/v1/tasks/{id}

Last updated